## brasero-enums

brasero-enums

## Functions

#define | BRASERO_STREAM_FORMAT_AUDIO ()
#define | BRASERO_STREAM_FORMAT_VIDEO ()
#define | BRASERO_STREAM_LENGTH ()
#define | BRASERO_STREAM_FORMAT_HAS_VIDEO ()

## Types and Values

enum | BraseroBurnResult
enum | BraseroBurnFlag
enum | BraseroBurnAction
enum | BraseroImageFS
enum | BraseroStreamFormat
#define | BRASERO_MIN_STREAM_LENGTH
enum | BraseroImageFormat

## Description

## Functions

### BRASERO_STREAM_FORMAT_AUDIO()

    #define BRASERO_STREAM_FORMAT_AUDIO(stream_FORMAT) ((stream_FORMAT) & 0x087F)

### BRASERO_STREAM_FORMAT_VIDEO()

    #define BRASERO_STREAM_FORMAT_VIDEO(stream_FORMAT) ((stream_FORMAT) & 0x0380)

### BRASERO_STREAM_LENGTH()

    #define             BRASERO_STREAM_LENGTH(start_MACRO, end_MACRO)

### BRASERO_STREAM_FORMAT_HAS_VIDEO()

    #define             BRASERO_STREAM_FORMAT_HAS_VIDEO(format_MACRO)

## Types and Values

### enum BraseroBurnResult

#### Members

BRASERO_BURN_OK |  |
BRASERO_BURN_ERR |  |
BRASERO_BURN_RETRY |  |
BRASERO_BURN_CANCEL |  |
BRASERO_BURN_RUNNING |  |
BRASERO_BURN_DANGEROUS |  |
BRASERO_BURN_NOT_READY |  |
BRASERO_BURN_NOT_RUNNING |  |
BRASERO_BURN_NEED_RELOAD |  |
BRASERO_BURN_NOT_SUPPORTED |  |

### enum BraseroBurnFlag

#### Members

BRASERO_BURN_FLAG_NONE |  |
BRASERO_BURN_FLAG_CHECK_SIZE |  |
BRASERO_BURN_FLAG_NOGRACE |  |
BRASERO_BURN_FLAG_EJECT |  |
BRASERO_BURN_FLAG_MERGE |  |
BRASERO_BURN_FLAG_MULTI |  |
BRASERO_BURN_FLAG_APPEND |  |
BRASERO_BURN_FLAG_BURNPROOF |  |
BRASERO_BURN_FLAG_NO_TMP_FILES |  |
BRASERO_BURN_FLAG_DUMMY |  |
BRASERO_BURN_FLAG_OVERBURN |  |
BRASERO_BURN_FLAG_BLANK_BEFORE_WRITE |  |
BRASERO_BURN_FLAG_FAST_BLANK |  |
BRASERO_BURN_FLAG_DAO |  |
BRASERO_BURN_FLAG_RAW |  |
BRASERO_BURN_FLAG_LAST |  |

### enum BraseroBurnAction

#### Members

BRASERO_BURN_ACTION_NONE |  |
BRASERO_BURN_ACTION_GETTING_SIZE |  |
BRASERO_BURN_ACTION_CREATING_IMAGE |  |
BRASERO_BURN_ACTION_RECORDING |  |
BRASERO_BURN_ACTION_BLANKING |  |
BRASERO_BURN_ACTION_CHECKSUM |  |
BRASERO_BURN_ACTION_DRIVE_COPY |  |
BRASERO_BURN_ACTION_FILE_COPY |  |
BRASERO_BURN_ACTION_ANALYSING |  |
BRASERO_BURN_ACTION_TRANSCODING |  |
BRASERO_BURN_ACTION_PREPARING |  |
BRASERO_BURN_ACTION_LEADIN |  |
BRASERO_BURN_ACTION_RECORDING_CD_TEXT |  |
BRASERO_BURN_ACTION_FIXATING |  |
BRASERO_BURN_ACTION_LEADOUT |  |
BRASERO_BURN_ACTION_START_RECORDING |  |
BRASERO_BURN_ACTION_FINISHED |  |
BRASERO_BURN_ACTION_EJECTING |  |
BRASERO_BURN_ACTION_LAST |  |

### enum BraseroImageFS

#### Members

BRASERO_IMAGE_FS_NONE |  |
BRASERO_IMAGE_FS_ISO |  |
BRASERO_IMAGE_FS_UDF |  |
BRASERO_IMAGE_FS_JOLIET |  |
BRASERO_IMAGE_FS_VIDEO |  |
BRASERO_IMAGE_FS_SYMLINK |  |
BRASERO_IMAGE_ISO_FS_LEVEL_3 |  |
BRASERO_IMAGE_ISO_FS_DEEP_DIRECTORY |  |
BRASERO_IMAGE_FS_ANY |  |

### enum BraseroStreamFormat

#### Members

BRASERO_AUDIO_FORMAT_NONE |  |
BRASERO_AUDIO_FORMAT_UNDEFINED |  |
BRASERO_AUDIO_FORMAT_DTS |  |
BRASERO_AUDIO_FORMAT_RAW |  |
BRASERO_AUDIO_FORMAT_AC3 |  |
BRASERO_AUDIO_FORMAT_MP2 |  |
BRASERO_AUDIO_FORMAT_44100 |  |
BRASERO_AUDIO_FORMAT_48000 |  |
BRASERO_VIDEO_FORMAT_UNDEFINED |  |
BRASERO_VIDEO_FORMAT_VCD |  |
BRASERO_VIDEO_FORMAT_VIDEO_DVD |  |
BRASERO_METADATA_INFO |  |
BRASERO_AUDIO_FORMAT_RAW_LITTLE_ENDIAN |  |

### BRASERO_MIN_STREAM_LENGTH

    #define BRASERO_MIN_STREAM_LENGTH			((gint64) 6 * 1000000000LL)

### enum BraseroImageFormat

#### Members

BRASERO_IMAGE_FORMAT_NONE |  |
BRASERO_IMAGE_FORMAT_BIN |  |
BRASERO_IMAGE_FORMAT_CUE |  |
BRASERO_IMAGE_FORMAT_CLONE |  |
BRASERO_IMAGE_FORMAT_CDRDAO |  |
BRASERO_IMAGE_FORMAT_ANY |  |